API V2

v2 OAS 3.0

Getting Started

WilcomStock's API provides direct access to our content library and powerful AI driven search. Integrate the API into your website or platform to allow clients to view and download royalty free embroidery machine file format.

Looking for more details: Visit our API landing page for an overview of the features and to request access.
Support: If you have questions or need help, please contact our support team.

Authentication Authorization: Bearer YOUR_SECRET_KEY

Admin API (Sanctum)

These endpoints are for admin panel automation. Login returns a token. Use Bearer token on every request.
Base URL
https://wilcomstock.com/api
Method Endpoint Body / Query
POST https://wilcomstock.com/api/admin/login username, password, token_name?
GET https://wilcomstock.com/api/admin/me Bearer token
POST https://wilcomstock.com/api/admin/logout Bearer token
GET https://wilcomstock.com/api/admin/users scope?, search?, per_page?
GET https://wilcomstock.com/api/admin/users/{id} Bearer token
PATCH https://wilcomstock.com/api/admin/users/{id} status
GET https://wilcomstock.com/api/admin/images status?, search?, per_page?
GET https://wilcomstock.com/api/admin/images/{id} Bearer token
PATCH https://wilcomstock.com/api/admin/images/{id} status?, is_featured?
GET https://wilcomstock.com/api/admin/deposits scope?, user_id?, search?, date?, per_page?
GET https://wilcomstock.com/api/admin/deposits/{id} Bearer token
POST https://wilcomstock.com/api/admin/deposits/{id}/approve Bearer token
POST https://wilcomstock.com/api/admin/deposits/{id}/reject message
GET https://wilcomstock.com/api/admin/withdrawals scope?, user_id?, method?, search?, date?, per_page?
GET https://wilcomstock.com/api/admin/withdrawals/{id} Bearer token
POST https://wilcomstock.com/api/admin/withdrawals/{id}/approve details?
POST https://wilcomstock.com/api/admin/withdrawals/{id}/reject details?
Example: Login
POST https://wilcomstock.com/api/admin/login
Content-Type: application/json

{
  "username": "admin",
  "password": "password"
}
Example: List users
GET https://wilcomstock.com/api/admin/users?scope=active&per_page=20
Authorization: Bearer <token>

Account

GET /v2/{public_key}/account/info General info about account quotas

Returns general information about the account, including current quota usage and limits.

Parameters
Name Description
public_key * required
string
(path)
Your API Public Key.
months
integer
(query)
minimum: 1
maximum: 6
Number of months of call info
Default value: 1
Responses
200 Success
No links
Media type
{
  "current": {
    "general": {
      "call_count": 0,
      "call_limit": 0,
      "hard_limit": 0
    },
    "download": {
      "call_count": 0,
      "call_limit": 0,
      "hard_limit": 0
    }
  },
  "history": [
    {
      "month": "string",
      "general": {
        "call_count": 0
      },
      "download": {
        "call_count": 0
      }
    }
  ]
}
401 Unauthorized
No links
Media type
{
  "errors": [
    {
      "message": "string"
    }
  ]
}
GET /v2/{public_key}/account/licenses Licenses for previously downloaded resources

Retrieves a list of licenses for resources previously downloaded by this account.

SSO & Shared Login

Use these endpoints to allow your users to log in to your site using their WilcomStock credentials.
WEB /sso/authorize Initiate SSO Login flow

Redirect your users to this URL to start the login process.

https://api.wilcomstock.com/sso/authorize?app_id=YOUR_PUBLIC_KEY&redirect_uri=YOUR_URL

WilcomStock will redirect the user back to your URL with a sso_token parameter.

POST /v2/sso/verify Verify SSO token and get user data

After redirection, call this API from your server to exchange the token for user details.

Request Body (JSON):
{
  "sso_token": "RECEIVED_TOKEN",
  "secret_key": "YOUR_SECRET_KEY"
}
Response:
{
  "success": true,
  "user": {
    "id": 1,
    "username": "johndoe",
    "email": "[email protected]",
    "firstname": "John",
    "lastname": "Doe",
    "image": "https://...",
    "country": "United States",
    "mobile": "123456789"
  }
}

Resources

GET /v2/{public_key}/resources/{id} Retrieves a resource

Get detailed information about a specific resource by its ID.

GET /v2/{account_id}/resources/{id}/download Retrieves the download url for a resource

Generates a temporary download URL for the specified resource.

GET /v2/{account_id}/resources/{id}/download_status Retrieves the status for a resized resource

Check the status of a download processing request.

GET /v2/{public_key}/resources Retrieves resources matching filters

Schemas

error
errors_map
resource_download